// ****************************************************************** 
function client_SetRxTerrestrialInterface()
{
   var anElement = Get_Iframe_Element( 'RxTerrestrialInterfaceSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Rx Terrestrial Interface"))
      {
         serverIntfRxSetupIntf.SetRxTerrestrialInterface(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetRxTerrestrialStreaming()
{
   var anElement = Get_Iframe_Element( 'RxTerrestrialStreamingSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Rx Terrestrial Streaming"))
      {
         serverIntfRxSetupIntf.SetRxTerrestrialStreaming(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetRxEscCh1Gain(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'RxEscCh1GainInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            if (IsChangeConfirmed("Rx Esc Ch1 Gain"))
            {
               var aGain = parseFloat(anElement.value);
               anElement.value = FormatNumber(aGain, 1);
               aGain += 0.001;
               serverIntfRxSetupIntf.SetRxEscCh1Gain(aGain);
               Focus_Iframe();
            }
         }
      }                           
   }
};

function client_SetRxEscCh2Gain(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'RxEscCh2GainInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            if (IsChangeConfirmed("Rx Esc Ch2 Gain"))
            {
               var aGain = parseFloat(anElement.value);
               anElement.value = FormatNumber(aGain, 1);
               aGain += 0.001;
               serverIntfRxSetupIntf.SetRxEscCh2Gain(aGain);
               Focus_Iframe();
            }
         }
      }                           
   }
};

function client_SetRxNumBufferClockSources(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'RxNumBufferClockSourcesInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            if (IsChangeConfirmed("Rx Num Buffer Clock Sources"))
            {
               serverIntfRxSetupIntf.SetRxNumBufferClockSources(parseInt(anElement.value, 10));
               setTimeout("RefreshIframe();", 250);
            }
         }
      }
   }
};

function client_SetRxBufferClockSource(clockSource)
{
   var anElement = Get_Iframe_Element( 'RxBufferClockSource' + clockSource +'Select' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed('Rx Buffer Clock Source' + clockSource))
      {
         serverIntfRxSetupIntf.SetRxBufferClockSource(parseInt(clockSource, 10), 
                                                      parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetRxBufferClockPolarity()
{
   var anElement = Get_Iframe_Element( 'RxBufferClockPolaritySelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Rx Buffer Clock Polarity"))
      {
         serverIntfRxSetupIntf.SetRxBufferClockPolarity(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetRxInsertMode()
{
   var anElement = Get_Iframe_Element( 'RxInsertModeSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Rx Insert Mode"))
      {
         serverIntfRxSetupIntf.SetRxInsertMode(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetRxT1E1FrameSource()
{
   var anElement = Get_Iframe_Element( 'RxT1E1FrameSourceSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Rx T1/E1 Frame Source"))
      {
         serverIntfRxSetupIntf.SetRxT1E1FrameSource(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetRxBufferSize(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'RxBufferSizeInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            if (IsChangeConfirmed("Rx Buffer Size"))
            {
               serverIntfRxSetupIntf.SetRxBufferSize(parseInt(anElement.value, 10));
               Focus_Iframe();
            }
         }
      }
   }
};

function client_SetRxAsyncMode()
{
   var anElement = Get_Iframe_Element( 'RxAsyncModeSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Rx Async Mode"))
      {
         serverIntfRxSetupIntf.SetRxAsyncMode(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetRxAsyncEsInterface()
{
   var anElement = Get_Iframe_Element( 'RxAsyncEsInterfaceSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Rx Async ES Interface"))
      {
         serverIntfRxSetupIntf.SetRxAsyncEsInterface(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetRxAsyncEsBaudRate()
{
   var anElement = Get_Iframe_Element( 'RxAsyncEsBaudRateSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Rx Async ES Baud Rate"))
      {
         serverIntfRxSetupIntf.SetRxAsyncEsBaudRate(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetRxAsyncEsCharBits()
{
   var anElement = Get_Iframe_Element( 'RxAsyncEsCharBitsSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Rx Async ES Char Bits"))
      {
         serverIntfRxSetupIntf.SetRxAsyncEsCharBits(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetRxInsertMap()
{
   var timeSlotId;
   var insertMap = new Array();

   for (i=1; i<MAX_CHANNELS+1; i++)
   {
	   timeSlotId = 'RxInsertTerrTimeSlot' + i + 'Input';
       var anElement = Get_Iframe_Element( timeSlotId ) ;
       if ( anElement )
       {
          if ( anElement.value < 0 || anElement.value > MAX_TIMESLOTS )
		  {
			 alert("Invalid TimeSlot for Satellite Channel " + i);
			 return(false);
		  }
		  insertMap[i-1] = anElement.value;
	   }
	   else
          return(false);
   }

   if (IsChangeConfirmed("Rx Insert Map"))
   {
      var anInsertMapAsString = insertMap.join(",");
      serverIntfRxSetupIntf.SetRxInsertMap( anInsertMapAsString );
   }
   return(true);
};

function client_ResetRxInsertMap()
{
   serverIntfRxSetupIntf.ResetRxInsertMap();
};

function client_SetRxIntfSetupStatusUpdate()
{
   serverIntfRxSetupIntf.SetRxIntfSetupSelectContentUpdate();
   serverIntfRxSetupIntf.SetRxIntfSetupStatusUpdate();
};


// ****************************************************************** 
function asyncUpdateRxIntfTerrestrialInterfaceStatus(aTerrestrialInterface)
{
   var anElement = Get_Iframe_Element( 'RxTerrestrialInterfaceSelect' ) ;
   if ( anElement )	       // Set receive terrestrial interface
      anElement.value = aTerrestrialInterface;
}

function asyncUpdateRxIntfTerrestrialStreamingStatus(aTerrestrialStreaming)
{
   var anElement = Get_Iframe_Element( 'RxTerrestrialStreamingSelect' ) ;
   if ( anElement )	       // Set receive terrestrial Streaming
      anElement.value = aTerrestrialStreaming;
}

function asyncUpdateRxIntfEscCh1GainStatus(aGain)
{
   var anElement = Get_Iframe_Element( 'RxEscCh1GainInput' ) ;
   if ( anElement )	
      anElement.value = FormatNumber(aGain, 1);
}

function asyncUpdateRxIntfEscCh2GainStatus(aGain)
{
   var anElement = Get_Iframe_Element( 'RxEscCh2GainInput' ) ;
   if ( anElement )	
      anElement.value = FormatNumber(aGain, 1);
}

function asyncUpdateRxIntfNumBufferClockSourcesStatus(numBufferClockSources)
{
   var anElement = Get_Iframe_Element( 'RxNumBufferClockSourcesInput' ) ;
   if ( anElement )	            // Set total number of receive buffer clock sources
      anElement.value = numBufferClockSources;
}

function asyncUpdateRxIntfActiveBufferClockSourceStatus(aBufferClockSource)
{
   var anElement = Get_Iframe_Element( 'RxActiveBufferClockSourceSelect' ) ;
   if ( anElement )	            // Set receive active buffer clock source
      anElement.value = aBufferClockSource;
}

function asyncUpdateRxIntfBufferClockSource1Status(aBufferClockSource)
{
   var anElement = Get_Iframe_Element( 'RxBufferClockSource1Select' ) ;
   if ( anElement )	            // Set receive buffer clock source 1
      anElement.value = aBufferClockSource;
}

function asyncUpdateRxIntfBufferClockSource2Status(aBufferClockSource)
{
   var anElement = Get_Iframe_Element( 'RxBufferClockSource2Select' ) ;
   if ( anElement )	            // Set receive buffer clock source 2
      anElement.value = aBufferClockSource;
}

function asyncUpdateRxIntfBufferClockSource3Status(aBufferClockSource)
{
   var anElement = Get_Iframe_Element( 'RxBufferClockSource3Select' ) ;
   if ( anElement )	            // Set receive buffer clock source 3
      anElement.value = aBufferClockSource;
}

function asyncUpdateRxIntfBufferClockSource4Status(aBufferClockSource)
{
   var anElement = Get_Iframe_Element( 'RxBufferClockSource4Select' ) ;
   if ( anElement )	            // Set receive buffer clock source 4
      anElement.value = aBufferClockSource;
}

function asyncUpdateRxIntfBufferClockSource5Status(aBufferClockSource)
{
   var anElement = Get_Iframe_Element( 'RxBufferClockSource5Select' ) ;
   if ( anElement )	            // Set receive buffer clock source 5
      anElement.value = aBufferClockSource;
}

function asyncUpdateRxIntfBufferClockPolarityStatus(aBufferClockPolarity)
{
   var anElement = Get_Iframe_Element( 'RxBufferClockPolaritySelect' ) ;
   if ( anElement )	                 // Set receive buffer clock polarity
      anElement.value = aBufferClockPolarity;
}

function asyncUpdateRxIntfCircuitIdStatus(aCircuitId)
{
   var anElement = Get_Iframe_Element( 'RxCircuitIdInput' ) ;
   if ( anElement )	                     // Set receive circuit Id
      anElement.value = aCircuitId;
}

function asyncUpdateRxIntfAsyncModeStatus(anAsyncMode)
{
   var anElement = Get_Iframe_Element( 'RxAsyncModeSelect' ) ;
   if ( anElement )	       // Set receive AsyncMode
      anElement.value = anAsyncMode;
}

function asyncUpdateRxIntfAsyncEsInterfaceStatus(anAsyncEsInterface)
{
   var anElement = Get_Iframe_Element( 'RxAsyncEsInterfaceSelect' ) ;
   if ( anElement )	       // Set receive AsyncEsInterface
      anElement.value = anAsyncEsInterface;
}

function asyncUpdateRxIntfAsyncEsBaudRateStatus(anAsyncEsBaudRate)
{
   var anElement = Get_Iframe_Element( 'RxAsyncEsBaudRateSelect' ) ;
   if ( anElement )	       // Set receive AsyncEsBaudRate
      anElement.value = anAsyncEsBaudRate;
}

function asyncUpdateRxIntfAsyncEsCharBitsStatus(anAsyncEsCharBits)
{
   var anElement = Get_Iframe_Element( 'RxAsyncEsCharBitsSelect' ) ;
   if ( anElement )	       // Set receive AsyncEsCharBits
      anElement.value = anAsyncEsCharBits;
}

function asyncUpdateRxIntfInsertModeStatus(anInsertMode)
{
   var anElement = Get_Iframe_Element( 'RxInsertModeSelect' ) ;
   if ( anElement )	                    // Set receive insert mode
      anElement.value = anInsertMode;
}

function asyncUpdateRxIntfT1E1FrameSourceStatus(aT1E1FrameSource)
{
   var anElement = Get_Iframe_Element( 'RxT1E1FrameSourceSelect' ) ;
   if ( anElement )	                    // Set receive T1E1 Frame Source
      anElement.value = aT1E1FrameSource;
}

function asyncUpdateRxIntfBufferSizeStatus(aBufferSize)
{
   var anElement = Get_Iframe_Element( 'RxBufferSizeInput' ) ;
   if ( anElement )	        // Set receive buffer size
      anElement.value = aBufferSize;
}

function asyncUpdateRxIntfInsertMap(anInsertMapAsString)
{
   var timeSlotId, i;
   var anElement;
   var insertMap = anInsertMapAsString.split(",");

   for (i=1; i<MAX_CHANNELS+1; i++)
   {
	   timeSlotId = 'RxInsertTerrTimeSlot' + i + 'Input';
       anElement = Get_Iframe_Element( timeSlotId ) ;
       if ( anElement )
		  anElement.value = parseInt(insertMap[i-1], 16);
   }
};

// ****************************************************************** 
function asyncUpdateRxIntfTerrestrialInterfaceSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'RxTerrestrialInterfaceSelect', aSelectContent );
}

function asyncUpdateRxIntfTerrestrialStreamingSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'RxTerrestrialStreamingSelect', aSelectContent );
}

function asyncUpdateRxIntfActiveBufferClockSourceSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'RxActiveBufferClockSourceSelect', aSelectContent );
}

function asyncUpdateRxIntfBufferClockSource1SelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'RxBufferClockSource1Select', aSelectContent );
}

function asyncUpdateRxIntfBufferClockSource2SelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'RxBufferClockSource2Select', aSelectContent );
}

function asyncUpdateRxIntfBufferClockSource3SelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'RxBufferClockSource3Select', aSelectContent );
}

function asyncUpdateRxIntfBufferClockSource4SelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'RxBufferClockSource4Select', aSelectContent );
}

function asyncUpdateRxIntfBufferClockSource5SelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'RxBufferClockSource5Select', aSelectContent );
}

function asyncUpdateRxIntfBufferClockPolaritySelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'RxBufferClockPolaritySelect', aSelectContent );
}

function asyncUpdateRxIntfAsyncModeSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'RxAsyncModeSelect', aSelectContent );
}

function asyncUpdateRxIntfAsyncEsInterfaceSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'RxAsyncEsInterfaceSelect', aSelectContent );
}

function asyncUpdateRxIntfAsyncEsBaudRateSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'RxAsyncEsBaudRateSelect', aSelectContent );
}

function asyncUpdateRxIntfAsyncEsCharBitsSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'RxAsyncEsCharBitsSelect', aSelectContent );
}

function asyncUpdateRxIntfInsertModeSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'RxInsertModeSelect', aSelectContent );
}

function asyncUpdateRxIntfT1E1FrameSourceSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'RxT1E1FrameSourceSelect', aSelectContent );
}

